package qses.arrays;

import static org.junit.Assert.*;

import org.junit.Test;

public class TestFindLast {

	@Test
	public void testAllEqualElements1() {
		int[] x = { 1, 1, 1, 1 }; 
		int y = 1;
		int lastPos = ArrayOperations.findLast(x, y);
		assertEquals("position", 3, lastPos);
	}
	
	@Test
	public void testAllEqualElements2() {
		int[] x = { 1, 1, 1, 1 }; 
		int y = 0;
		int lastPos = ArrayOperations.findLast(x, y);
		assertEquals("position", -1, lastPos);
	}
	
	@Test(expected=NullPointerException.class)
	public void testNull() {
		int[] x = null; 
		ArrayOperations.findLast(x, 1);
	}

}
