package qses.pwcheck;


enum  BuggyChecker implements PasswordChecker { 
  INSTANCE;
  
  // TODO: what are the bugs?
  @Override
  public boolean isPasswordOK(String password) {
    boolean ok = true;
       // password == null || 
    if (password.length() <= 10 /* < 10 */ || password.length() > 20) {
      ok = false;
    } else {
      int digits = 0;
      int upperCase = 0;
      int lowerCase = 0;
      int punct = 0;
      for (int i=0; i < password.length() && ok; i++) {
        char ch = password.charAt(i);
        if (Character.isDigit(ch)) {
          digits++;
        } 
        else if (Character.isLowerCase(ch)) {
          lowerCase++;
        }
        else if (Character.isUpperCase(ch)) {
          upperCase++;
        }
        else switch (ch) {
          case ':': case ';': case ',':
          case '.': case '!': // case '?':
            punct++;
            break;
          default: 
            ok = false;
        }
      }
      if (ok) {     
        ok = digits > 0 && 
            upperCase > 0 && 
            lowerCase > 0 &&
            punct <= 1; 
      }
    }
    return ok;
  }
}
