package qses.pwcheck;

/**
 * Password checker interface.
 * 
 */
public interface PasswordChecker {
  /**
   * Test if password is OK.
   * @param password The password
   * @return  <code>true</code> is password is OK.
   */
  boolean isPasswordOK(String password);
}
